Package Base Details: swift-language

Git Clone URL: https://aur.archlinux.org/swift-language.git (read-only)
Submitter: Zrax
Maintainer: Zrax
Last Packager: Zrax
Votes: 31
Popularity: 0.072654
First Submitted: 2016-01-08 23:39
Last Updated: 2019-05-04 21:38

Packages (2)

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 8 Next › Last »

Zrax commented on 2016-11-20 18:23

You'll need to downgrade the whole set (clang, llvm, llvm-libs, plus lib32-llvm-libs if you have it installed too). You can re-upgrade them after building swift, since the old version is only needed for building it.

efikarl commented on 2016-11-20 12:58

Help!

:: resolving dependencies...
:: no results found for clang=3.8.1

I can't downgrade to clang=3.8.1 because
:: clang: installing llvm-libs (3.8.1-1) breaks dependency 'llvm-libs=3.9.0-1'

Then, what should i do ?

Zrax commented on 2016-11-08 21:15

The current version of swift does not build successfully with clang 3.9, so you'll need to keep 3.8.1 installed (at least for now).

Xndr commented on 2016-11-08 19:56

Got this error:
not found: clang=3.8.1

any ideas?

Zrax commented on 2016-11-08 16:28

I've never used yaourt, but from looking at it, I believe the command you want is:
$ yaourt -S swift

edoardo849 commented on 2016-11-08 13:31

Hello! So I'm trying to install this package with

yaourt install swift-language

but it just exits and it doesn't seem to be listed anywhere in yaourt: can u pls advice on how to install?

Zrax commented on 2016-10-31 16:49

I'm afraid I've not yet been able to reproduce the Dispatch or SwiftGlibc issues you guys are seeing, but I can say that swift 3.0 doesn't appear to compile successfully with clang/llvm 3.9 yet. So for now the clang dependency is fixed at 3.8.1.

mafe commented on 2016-10-27 22:46

I was able to makepkg -sri once, when I had an old swift-bin AUR (2.1 I guess) installed.

After installation swift-bin package was dropped and I just tried to re-install via git instead of snapshot for update reasons.

Then the same error mentioned by jdarnold occured:
Foundation/NSData.swift:19:8: error: cannot load underlying module for 'Dispatch'
import Dispatch

Uninstalled both swift and swift-lldb via pacman and retried - same issue.

Now I'm building the (outdated) swift-bin AUR and try to reproduce behaviour.

kingtong commented on 2016-09-23 20:04

Got this error :

[546/579] Compiling /home/nicolas/builds/swift-language/src/build/Ninja-ReleaseAssert/swift-linux-x86_64/stdlib/public/Platform/linux/x86_64/Glibc.o
FAILED: stdlib/public/Platform/linux/x86_64/Glibc.o lib/swift/linux/x86_64/Glibc.swiftmodule lib/swift/linux/x86_64/Glibc.swiftdoc
cd /home/nicolas/builds/swift-language/src/build/Ninja-ReleaseAssert/swift-linux-x86_64/stdlib/public/Platform && /usr/bin/cmake -E make_directory /home/nicolas/builds/swift-language/src/build/Ninja-ReleaseAssert
/swift-linux-x86_64/stdlib/public/Platform/linux/x86_64 && /usr/bin/cmake -E make_directory /home/nicolas/builds/swift-language/src/build/Ninja-ReleaseAssert/swift-linux-x86_64/./lib/swift/linux/x86_64 && /home/n
icolas/builds/swift-language/src/swift/utils/line-directive /home/nicolas/builds/swift-language/src/swift/stdlib/public/Platform/Glibc.swift /home/nicolas/builds/swift-language/src/swift/stdlib/public/Platform/Pl
atform.swift /home/nicolas/builds/swift-language/src/swift/stdlib/public/Platform/TiocConstants.swift /home/nicolas/builds/swift-language/src/build/Ninja-ReleaseAssert/swift-linux-x86_64/stdlib/public/Platform/8/
tgmath.swift -- /home/nicolas/builds/swift-language/src/build/Ninja-ReleaseAssert/swift-linux-x86_64/./bin/swiftc -c -sdk / -target x86_64-unknown-linux-gnu -resource-dir /home/nicolas/builds/swift-language/src/b
uild/Ninja-ReleaseAssert/swift-linux-x86_64/./lib/swift -O -D INTERNAL_CHECKS_ENABLED -I /home/nicolas/builds/swift-language/src/build/Ninja-ReleaseAssert/swift-linux-x86_64/./lib/swift/linux/x86_64 -module-cache
-path /home/nicolas/builds/swift-language/src/build/Ninja-ReleaseAssert/swift-linux-x86_64/./module-cache -no-link-objc-runtime -autolink-force-load -module-link-name swiftGlibc -force-single-frontend-invocation
-parse-as-library -emit-module -emit-module-path /home/nicolas/builds/swift-language/src/build/Ninja-ReleaseAssert/swift-linux-x86_64/./lib/swift/linux/x86_64/Glibc.swiftmodule -o /home/nicolas/builds/swift-langu
age/src/build/Ninja-ReleaseAssert/swift-linux-x86_64/stdlib/public/Platform/linux/x86_64/Glibc.o /home/nicolas/builds/swift-language/src/swift/stdlib/public/Platform/Glibc.swift /home/nicolas/builds/swift-languag
e/src/swift/stdlib/public/Platform/Platform.swift /home/nicolas/builds/swift-language/src/swift/stdlib/public/Platform/TiocConstants.swift /home/nicolas/builds/swift-language/src/build/Ninja-ReleaseAssert/swift-l
inux-x86_64/stdlib/public/Platform/8/tgmath.swift
/home/nicolas/builds/swift-language/src/swift/stdlib/public/Platform/Glibc.swift:13:19: error: no such module 'SwiftGlibc'
@_exported import SwiftGlibc // Clang module
^
ninja: build stopped: subcommand failed.
utils/build-script: fatal error: command terminated with a non-zero exit status 1, aborting
==> ERROR: A failure occurred in build().

jdarnold commented on 2016-09-21 17:57

yeah, I think I'm getting the same error as aavci:

Foundation/NSData.swift:19:8: error: cannot load underlying module for 'Dispatch'
import Dispatch
^
[125/315] CompileC: CoreFoundation/Parsing.subproj/CFXMLParser.c
ninja: build stopped: subcommand failed.
utils/build-script: fatal error: command terminated with a non-zero exit status 1, aborting

which is annoying because it takes *forever* to build and then exit at this point.